Update investor draft
curl --request PUT \
--url https://api-sandbox.mf-atlas.space/api/public/v1/investor-drafts/{link_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {},
"bank_accounts": "<array>",
"client_ref": "<string>",
"contact": {},
"demat": {},
"euin": {},
"fatca": {},
"guardian": {},
"holding_type": "<string>",
"joint_holders": "<array>",
"nominees": "<array>",
"primary_holder": {},
"sub_broker_code": "<string>",
"submit": true,
"tax_status": "<string>"
}
'import requests
url = "https://api-sandbox.mf-atlas.space/api/public/v1/investor-drafts/{link_id}"
payload = {
"address": {},
"bank_accounts": "<array>",
"client_ref": "<string>",
"contact": {},
"demat": {},
"euin": {},
"fatca": {},
"guardian": {},
"holding_type": "<string>",
"joint_holders": "<array>",
"nominees": "<array>",
"primary_holder": {},
"sub_broker_code": "<string>",
"submit": True,
"tax_status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {},
bank_accounts: '<array>',
client_ref: '<string>',
contact: {},
demat: {},
euin: {},
fatca: {},
guardian: {},
holding_type: '<string>',
joint_holders: '<array>',
nominees: '<array>',
primary_holder: {},
sub_broker_code: '<string>',
submit: true,
tax_status: '<string>'
})
};
fetch('https://api-sandbox.mf-atlas.space/api/public/v1/investor-drafts/{link_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_ref": "<string>",
"created_at": "<string>",
"id": "<string>",
"provider": "<string>",
"providers": "<array>",
"simulation_links": {},
"status": "<string>"
}public-investors
Update investor draft
Updates or submits an investor draft via a public link.
PUT
/
api
/
public
/
v1
/
investor-drafts
/
{link_id}
Update investor draft
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Investor data
SINGLE | JOINT | ANYONE_OR_SURVIVOR.
Whether to dispatch this investor to NSE now. Create: default true. Update (pre-REGISTERED only): default false — the investor stays/becomes a DRAFT until submitted.
INDIVIDUAL | NRI_REPATRIABLE | NRI_NON_REPATRIABLE | MINOR | HUF | COMPANY | TRUST.
Response
200 - application/json
Investor data
DRAFT | PENDING | PROCESSING | REGISTERED | REJECTED. DRAFT means saved but not yet submitted to NSE (submit:false, or omitted on an update). NSE registration happens asynchronously after submission — poll GET or listen for the investor.registered/investor.rejected webhook events.